function X = specas(theta0,msel,w)
%Function to compute simple transpose of vec(ftheta) at frequency w to check spectra
%along the nonidentification curve for AS(2007) model

[TT,TC,TEPS,TETA,RC] = dsgesolv(theta0,msel);
neq=size(TT,2);
spec=zeros(length(w),9);
A=[1	0	0	0	0	0	0;...
   0	1	0	0	0	0	0;...
   0	0	1	0	0	0	0]; %selection matrix
QQ=createcov_as(theta0);
n=length(w);

if RC==[1;1]
    RR = [TEPS, zeros(neq,1)];
else
     TETA=rref(TETA').'; %reduced column echelon form for TETA
  RR = [TEPS, TETA];
end

for i=1:n %compute spectrum (see gmatrix.m for details)
exe=exp(-1i*w(i));

fact1=A*((eye(neq) - TT*exe)\RR);

ftheta=(1/(2*pi))*(fact1*QQ*fact1'); %compute spectrum using representation (4) in the paper

spec(i,:)=ftheta(:).'; %take vec(ftheta).' to compactly fit values into 1 row
end;
X=spec;
end