function X=parflagas(theta0)
%Function to see if parameters are within/out of admissible bounds for MCMC computation. 
%Returns 0 if all ok, or 1 otherwise.
%parameter order:
%[tau rstar kappa psi1 psi2 rhoR rhog rhoz sigR sigg sigz, m_eta_r, m_eta_g, m_eta_z, sig_eta]';
if length(theta0)==15
loup=[1E-5 , 100     ; 
    1E-5 , 10      ;
    1E-5 , 100 ;
    1E-5 , 10      ;
    1E-5 , 10      ;
    1E-5 , 0.99999     ;
    1E-5 , 0.99999 ;
    1E-5 , 0.99999 ;
    1E-7 , 100     ;
    1E-7 , 100     ;
    1E-7 , 100     ;
    -100 , 100;
    -100 , 100;
    -100 , 100;
    1E-7 , 100     ]; %data on lower/upper bounds on parameters (indeterminacy)
else
    loup=[1E-5 , 100     ; 
    1E-5 , 10      ;
    1E-5 , 100 ;
    (1+1E-5) , 10      ; %to avoid drawing indeterminate value
    1E-5 , 10      ;
    1E-5 , 0.99999     ;
    1E-5 , 0.99999 ;
    1E-5 , 0.99999 ;
    1E-7 , 100     ;
    1E-7 , 100     ;
    1E-7 , 100     ]; %data on lower/upper bounds on parameters (determinacy)
end
rflag=zeros(length(theta0),1); %blank
for i=1:length(theta0)
rflag(i)=theta0(i)<loup(i,1)|| theta0(i)>loup(i,2);
end
X=max(rflag); % either zero if everything ok, or one if something's wrong
end