
function omega  = createcov_ls(para)

%paranames = theta=[tau beta kappa psi1 psi2 rhoR rhog rhoz sigR  sigg sigz rhogz m_eta_r m_eta_g m_eta_z sig_eta];
%Function to create covariance matrix for the LS (2004) model under both determinacy and indeterminacy.  

r_g_a   = para(12);
if length(para)<16 %if determinacy - set sunspot parameters to 0
   m_eta_r =0;
m_eta_g = 0;
m_eta_a = 0;
sigeta = 0;
else
m_eta_r = para(13);
m_eta_g = para(14);
m_eta_a = para(15);
sigeta = para(16);
end

sigr   = para(9);
sigg   = para(10);
siga   = para(11);


omega = zeros(4,4);

omega(1,1) = sigr^2;
omega(2,2) = sigg^2;
omega(3,3) = siga^2;
omega(4,4) = sigeta^2;

omega(2,3) = r_g_a*sigg*siga;
omega(3,2) = omega(2,3);

rotmat = [1,0, 0,m_eta_r;0, 1,0,m_eta_g;0,0,1,m_eta_a;0, 0, 0,1];
rotmat=rotmat';

omega = rotmat*omega*rotmat';

end
