function [c, ceq] = constraintasg(xest,ns,wgt,nrm,indp)
%Constraint function for global identification under indeterminacy
%Keeps the specified norm between two parameter vectors >=ns (neighborhood size)

%Inputs:
%xest - 1x(p+q) candidate vector of parameters
%ns - neighborhood size (denoted "c" in the paper)
%wgt - user-specified vector of weights (dimension=dim(indp))
%nrm - specified norm, takes inputs 1 (for L-1 norm), 2(for L-2 norm) and Inf (for infinity norm)
%indp - vector of indices for parameters to be constrained, in increasing
%order
xest=gtheta_as(xest,1); %reparameterize standard deviations as variances
xcon=xest(indp); %select the constrained parameters
load theta0asi; %load benchmark model parameters
theta=gtheta_as(theta,1); %reparameterize the benchmark in terms of shock variances
   c = ns-norm((xcon-theta(indp)')./wgt,nrm);
   ceq = [];
end