function [T1,TC,T0,RC]=swsolv_mp(theta0, msel)

%solves SW(2007) model under parameter theta0 and model msel

% msel=1 - current inflation in the Taylor rule
% msel=2 - expected inflation in the Taylor rule

%modified to perform precise computation with the Advanpix Multiprecision
%Toolbox

%NB: Input 'theta0' should be an mp-object.

%The structure of the code is the same as swsolv.m


cgy=theta0(1);
cmaw=theta0(2);
cmap=theta0(3);
calfa=theta0(4);
czcap=theta0(5);
csadjcost=theta0(6);
csigma=theta0(7);
chabb=theta0(8);
cfc=theta0(9);
cindw=theta0(10);
cprobw=theta0(11);
cindp=theta0(12);
cprobp=theta0(13);
csigl=theta0(14);
crpi=theta0(15);
crdy=theta0(16);
cry=theta0(17);
crr=theta0(18);
crhoa=theta0(19);
crhob=theta0(20);
crhog=theta0(21);
crhoqs=theta0(22);
crhoms=theta0(23);
crhopinf=theta0(24);
crhow=theta0(25);
sigma_a=theta0(26);
sigma_b=theta0(27);
sigma_g=theta0(28);
sigma_qs=theta0(29);
sigma_m=theta0(30);
sigma_pinf=theta0(31);
sigma_w=theta0(32);
%cgamma=theta0(33);
%cbeta=theta0(34);

onep=mp('1');
twop=mp('2');
mph=mp('100');

cgamma=(theta0(33)/mph)+onep; %get beta and gamma
cbeta=mph/(theta0(34)+mph);%



ctou=mp('0.025'); 
cg=mp('0.18');
clandaw=mp('1.5');
curvp=mp('10');
curvw=mp('10');

ssdpar_mp;

eqvarshock; 
if msel==1
setsimsmat_mp;
elseif msel==2
    setsimsmat_exp_mp
end

if isnan(GAM0)+isinf(GAM0)==0 %some parameter values give strange results
%[T1,TC,T0,M,TZ,TY,GEV,RC] = gensys_mp(GAM0,GAM1,CS,PSI,PPI);
[T1,TC,T0,TY,M,TZ,TETA,GEV,RC]=gensys_mp(GAM0, GAM1, CS, PSI, PPI, 1); %use Sims-based code, also uses ordqz
else
    T1=[];TC=[];T0=[]; RC=[];

end
end